Ontora Staff Get Interview
curl --request GET \
--url https://api.ontora.com/v1/ontora-staff/interviews/{interview_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ontora.com/v1/ontora-staff/interviews/{interview_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ontora.com/v1/ontora-staff/interviews/{interview_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"channel": "<string>",
"is_anonymous": true,
"anonymity_level": "<string>",
"workspace": {
"id": "<string>",
"name": "<string>",
"clerk_org_id": "<string>"
},
"creator": {
"user_id": "<string>",
"email": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"setup": {
"goal": "<string>",
"agent_behavior": "<string>",
"completion_threshold": 123,
"timeframe_start": "2023-11-07T05:31:56Z",
"timeframe_end": "2023-11-07T05:31:56Z",
"interview_order": "<string>",
"interview_duration_minutes": 123,
"timezone": "<string>",
"start_immediately": true,
"scheduling_mode": "<string>",
"quick_mode_hours": 123,
"weekly_availability": {},
"project_context": "<string>",
"success_criteria": "<string>",
"interview_context_for_employee": "<string>",
"interview_type": "<string>",
"welcome_screen": "<string>",
"closing_message": "<string>",
"voice_id": "<string>",
"folder": "<string>",
"recurring_interval": "<string>",
"followup_enabled": true,
"followup_strategy": "<string>",
"followup_intervals_hours": [
"<unknown>"
],
"followup_deadline_days": [
"<unknown>"
],
"followup_message": "<string>"
},
"creation_messages": [
{
"id": "<string>",
"message_index": 123,
"role": "<string>",
"content": "<string>",
"stage_hint": "<string>",
"created_by": "<string>",
"response_payload": {},
"created_at": "2023-11-07T05:31:56Z"
}
],
"question_sets": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"sort_order": 123,
"questions": [
{
"id": "<string>",
"question_text": "<string>",
"is_required": true,
"sort_order": 123,
"question_type": "<string>",
"options": [
"<unknown>"
],
"follow_up_rule": "<string>"
}
]
}
],
"contacts": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"job_title": "<string>",
"department": "<string>",
"seniority_level": 123,
"is_required": true,
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"no_show_count": 123,
"reminder_count": 123,
"booking_token": "<string>",
"meeting_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"conversation": {
"id": "<string>",
"status": "<string>",
"summary": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"duration_minutes": 123,
"posthog_recording_url": "<string>",
"langfuse_session_url": "<string>",
"transcript_turns": [
{
"id": "<string>",
"turn_index": 123,
"role": "<string>",
"content": "<string>",
"topic_id": "<string>",
"question_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}ontora-staff
Ontora Staff Get Interview
Full setup, contacts, conversations, and transcripts for one interview.
GET
/
v1
/
ontora-staff
/
interviews
/
{interview_id}
Ontora Staff Get Interview
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The configuration the campaign creator set up.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I